import * as tfe from "@cdktf/provider-tfe";
import { DataTfeOrganization, TfeProvider } from "@cdktf/provider-tfe";
import { TerraformStack } from "cdktf";
import { Construct, IConstruct } from "constructs";
/**
 * @stability stable
 */
export interface BaseStackOptions {
    /**
     * @stability stable
     */
    readonly hostname?: string;
    /**
     * @stability stable
     */
    readonly token?: string;
    /**
     * @stability stable
     */
    readonly sslSkipVerify?: boolean;
}
/**
 * @stability stable
 */
export interface RemoteBackendOptions {
    /**
     * @stability stable
     */
    readonly hostname?: string;
    /**
     * @stability stable
     */
    readonly organization: string;
    /**
     * @stability stable
     */
    readonly token?: string;
}
/**
 * @stability stable
 */
export declare class BaseStack extends TerraformStack {
    private prefix;
    /**
     * @stability stable
     */
    static isBaseStack(x: any): x is BaseStack;
    /**
     * @stability stable
     */
    static baseStackOf(construct: IConstruct): BaseStack;
    /**
     * @stability stable
     */
    readonly remoteBackendOptions: RemoteBackendOptions;
    /**
     * @stability stable
     */
    tfeProvider: TfeProvider;
    /**
     * @stability stable
     */
    organization: DataTfeOrganization;
    /**
     * @stability stable
     */
    constructor(scope: Construct, organization: string, prefix: string, options?: BaseStackOptions);
    /**
     * @stability stable
     */
    bootstrapWorkspace(name: string): tfe.Workspace;
}
/**
 * @stability stable
 */
export declare class Stack extends TerraformStack {
    /**
     * @stability stable
     */
    static isMultiStackStack(x: any): x is Stack;
    /**
     * @stability stable
     */
    workspace: tfe.Workspace;
    /**
     * @stability stable
     */
    constructor(scope: Construct, stackName: string);
    /**
     * @stability stable
     */
    addDependency(dependency: TerraformStack): void;
}
